#
# spec file for package bogofilter (Version 1.0.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  db-devel sharutils

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils db-devel gcc gdbm gettext libtool perl rpm sharutils

Name:         bogofilter
Version:      1.0.0
Release:      1.1
License:      GPL
Group:        Productivity/Networking/Email/Utilities
URL:          http://bogofilter.sourceforge.net/
Autoreqprov:  on
Summary:      Fast Anti-Spam Filtering by Bayesian Statistical Analysis
Source:       http://prdownloads.sourceforge.net/bogofilter/%{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Bogofilter is a Bayesian spam filter.  In normal operation, it takes an
email message or text from standard input, does a statistical check
against lists of "good" and "bad" words, and returns a status code
indicating whether or not the message is spam.	Bogofilter is designed
with fast algorithms (including the Berkeley DB system), coded directly
in C, and tuned for speed, so it can be used for production by sites
that process a lot of mail.



Authors:
--------
    Eric Steven Raymond <esr@thyrsus.com>
    Adrian Otto <adrian_otto at users.sourceforge.net>
    David Relson <relson@osagesoftware.com>
    Matthias Andree <matthias.andree@gmx.de>
    Gyepi Sam <gyepi@praxis-sw.com>
    Allyn Fratkin <allyn@fratkin.com>
    Clint Adams <schizo@debian.org>

%debug_package
%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
%ifarch %arm
	--disable-dbshared-test \
%endif
	--sysconfdir=%{_sysconfdir}
%{__make}
%ifnarch %arm
%{__make} check
%endif

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
%{__make} DESTDIR=${RPM_BUILD_ROOT} install
mv ${RPM_BUILD_ROOT}/%{_sysconfdir}/bogofilter.cf.example ${RPM_BUILD_ROOT}/%{_sysconfdir}/bogofilter.cf
for d in contrib; do
	install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/${d}
	files=$( find ${d} -maxdepth 1 -type f)
	for f in ${files} ; do
		case ${f} in
			*.c|*.o|*.obj|*/Makefile*) rm ${f}; continue ;;
			*.1)
				cp -p ${f} ${RPM_BUILD_ROOT}/%{_mandir}/man1 ;;
			*)
				head -n 1 ${f} | grep -q "^#\!" && \
					chmod 0755 ${f}
				cp -p ${f} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/${d}
				;;
		esac
	done
done
rm doc/*.{1,1in,htmlin} doc/Makefile*

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/bogofilter.cf
%{_bindir}/bogofilter
%{_bindir}/bogolexer
%{_bindir}/bogoupgrade
%{_bindir}/bogotune
%{_bindir}/bogoutil
%{_bindir}/bf_compact
%{_bindir}/bf_copy
%{_bindir}/bf_tar
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/contrib
%{_datadir}/%{name}/contrib/*
%{_mandir}/man1/bf_compact.1.gz
%{_mandir}/man1/bf_copy.1.gz
%{_mandir}/man1/bf_tar.1.gz
%{_mandir}/man1/bogofilter.1.gz
%{_mandir}/man1/bogolexer.1.gz
%{_mandir}/man1/bogotune.1.gz
%{_mandir}/man1/bogoupgrade.1.gz
%{_mandir}/man1/bogoutil.1.gz
%doc AUTHORS COPYING GETTING.STARTED INSTALL NEWS README* RELEASE.NOTES*
%doc TODO bogofilter.cf.example doc/

%changelog -n bogofilter
* Fri Dec 02 2005 - lmuelle@suse.de
- Update to version 1.0.0.
* Thu Nov 24 2005 - lmuelle@suse.de
- Ensure to set permissions of all scripts with a hash-bang starting header in
  the contrib dir to 0755.
* Tue Nov 22 2005 - lmuelle@suse.de
- Update to version 0.96.6.
* Tue Nov 15 2005 - uli@suse.de
- hardwire shared DB test to yes on ARM
* Thu Oct 27 2005 - lmuelle@suse.de
- Update to version 0.96.2.
* Fri Jul 08 2005 - lmuelle@suse.de
- Update to version 0.95.2.
* Mon Jun 20 2005 - lmuelle@suse.de
- Update to version 0.94.14.
* Wed May 18 2005 - lmuelle@suse.de
- Remove superfluous, twice installed man pages from the doc dir.
* Tue May 17 2005 - lmuelle@suse.de
- Update to version 0.94.12, [#84028].
* Tue Apr 26 2005 - uli@suse.de
- disabled make check on ARM (may hang QEMU)
* Tue Feb 01 2005 - ro@suse.de
- added check-build.sh (need 2.6.X kernel at least)
* Mon Dec 06 2004 - lmuelle@suse.de
- Update to version 0.93.2.
* Thu Nov 25 2004 - ro@suse.de
- fix build on db-4.3
* Tue Oct 26 2004 - lmuelle@suse.de
- Update to version 0.92.8, [#47636].
* Thu Oct 14 2004 - mmj@suse.de
- Update to version 0.92.7
* Thu Oct 14 2004 - lmuelle@suse.de
- Update to version 0.92.6.
* Sat Aug 07 2004 - lmuelle@suse.de
- Update to version 0.92.4.
* Thu Jul 15 2004 - lmuelle@suse.de
- Update to version 0.92.2.
* Mon Jun 28 2004 - mmj@suse.de
- Update to 0.92.0.
* Sat Apr 10 2004 - lmuelle@suse.de
- Update to version 0.17.5
* Fri Mar 05 2004 - lmuelle@suse.de
- remove twice listed bogotune man page from file list
* Thu Mar 04 2004 - mmj@suse.de
- Update to 0.16.4
* Wed Jan 07 2004 - lmuelle@suse.de
- update to version 0.15.13.1
* Mon Nov 10 2003 - lmuelle@suse.de
- update to version 0.15.8
- add norootforbuild to the spec file
* Thu Aug 14 2003 - lmuelle@suse.de
- update to version 0.14.4
* Thu Jul 03 2003 - lmuelle@suse.de
- update to version 0.13.7.2
* Fri Jun 06 2003 - lmuelle@suse.de
- update to version 0.13.6.2
* Sat Apr 19 2003 - lmuelle@suse.de
- update to version 0.11.2
* Wed Apr 09 2003 - lmuelle@suse.de
- switch to the upstream patch to work with current coreutils
* Tue Apr 08 2003 - lmuelle@suse.de
- update to version 0.11.1.8
* Thu Mar 27 2003 - lmuelle@suse.de
- update to version 0.11.1.4
* Thu Mar 06 2003 - lmuelle@suse.de
- update to version 0.11.1
* Mon Feb 24 2003 - lmuelle@suse.de
- update to version 0.10.3.1
* Tue Feb 11 2003 - lmuelle@suse.de
- update to version 0.10.2
* Sun Dec 08 2002 - lmuelle@suse.de
- update to version 0.9.1.2
* Sun Dec 01 2002 - lmuelle@suse.de
- update to version 0.9.1
* Tue Nov 12 2002 - lmuelle@suse.de
- remove superfluous aclocal, libtoolize, autoheader, automake, autoconf
* Mon Nov 11 2002 - lmuelle@suse.de
- update to version 0.8.0
- make use of autoheader and automake; call aclocal first
* Tue Nov 05 2002 - lmuelle@suse.de
- update to version 0.7.6
* Mon Nov 04 2002 - lmuelle@suse.de
- add patch for getopt call to fix -d option from Carsten Hoeger
  <choeger@suse.de>
* Sun Oct 20 2002 - lmuelle@suse.de
- inital SuSE RPM based on ESR spec file
